Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 291176 - x11-wm/wmii-3.9 version bump
Summary: x11-wm/wmii-3.9 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Desktop WM Team (OBSOLETE)
URL: http://dl.suckless.org/wmii/wmii+ixp-...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-30 14:38 UTC by Jeroen Roovers
Modified: 2010-06-07 10:32 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild proposal (wmii-3.9_beta1.ebuild,1.37 KB, text/plain)
2009-11-10 16:38 UTC, Martin Swift
Details
some proposed ebuild improvements (wmii-9999.ebuild,3.23 KB, text/plain)
2010-05-22 21:44 UTC, Jonas Bernoulli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2009-10-30 14:38:42 UTC
.
Comment 1 Martin Swift 2009-11-10 16:38:23 UTC
Created attachment 209837 [details]
Ebuild proposal

The attached ebuild emerges cleanly on my machine.
Comment 2 Oleg Akimov 2009-12-07 12:41:14 UTC
i have compiled ebuild on my laptop after some work:

1. i have added freetype headers in include path:

kim@buki ~ $ freetype-config --cflags
-I/usr/include/freetype2

kim@buki ~ $ grep INCLUDES config.mk 
INCLUDES = -I. -I$(ROOT)/include -I$(INCLUDE) -I/usr/include -I/usr/include/freetype2

this fix problem with this:

MAKE all cmd/wmii/
CC cmd/wmii/area.o
In file included from /usr/include/X11/Xft/Xft.h:39,
                 from ../../include/x11.h:9,
                 from cmd/wmii/dat.h:18,
                 from cmd/wmii/area.c:4:
/usr/include/ft2build.h:56:38: error: freetype/config/ftheader.h: No such file or directory


2. i have installed x11-proto/xineramaproto

this fix problem with this:

CC cmd/wmii/x11.o
CC cmd/wmii/xext.o
cmd/wmii/xext.c:7:37: error: X11/extensions/Xinerama.h: No such file or directory
cmd/wmii/xext.c:127: warning: implicit declaration of function ‘XineramaQueryExtension’
cmd/wmii/xext.c:132: warning: implicit declaration of function ‘XineramaIsActive’
cmd/wmii/xext.c:138: error: ‘XineramaScreenInfo’ undeclared
cmd/wmii/xext.c:138: error: ‘res’ undeclared
cmd/wmii/xext.c:147: warning: implicit declaration of function ‘XineramaQueryScreens’
make[2]: *** [xext.o] Error 1
Comment 3 Jonas Bernoulli 2009-12-17 21:24:58 UTC
(In reply to comment #2)
> 1. i have added freetype headers in include path:
> 2. i have installed x11-proto/xineramaproto

For me this wasn't enough (I was using wmii from hg, which is a copyt of the 3.9_beta1 ebuild with fixes for the above). Compiling wmii ends with:

LD cmd/wmii/wmii.out
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/bar.c:254: undefined reference to `XUngrabPointer'
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/client.c:130: undefined reference to `XSetWindowBorderWidth'
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/client.c:131: undefined reference to `XAddToSaveSet'
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/client.c:136: undefined reference to `XCreateColormap'
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/client.c:155: undefined reference to `XFreeColormap'
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/client.c:274: undefined reference to `XGrabServer'
/var/tmp/portage/x11-wm/wmii-9999/work/wmii/cmd/wmii/client.c:286: undefined reference to `XUngrabServer'
<and a lot more of this>
Comment 4 Nico R. Wohlgemuth 2010-05-21 20:14:31 UTC
wmii 3.9 was released yesterday!
Comment 5 Jonas Bernoulli 2010-05-22 21:44:58 UTC
Created attachment 232521 [details]
some proposed ebuild improvements

I have been using this ebuild to install wmii. Changes are:

- only install (useflag) selected alternative wmiirc
- support both hg and releases
- do not install file DISTRIBUTORS
- install wmii.doc only if useflag 'doc' is set
- use 'exec /usr/bin/wmii' (for safety reasons)
- add some FIXMEs/TODOs
- probably some more changes

You might want to incorporate some of these when bumping the ebuild
Comment 6 Jeroen Roovers gentoo-dev 2010-06-03 19:29:06 UTC
Comment on attachment 209837 [details]
Ebuild proposal

This ebuild inherits several problems from its predecessors. For one thing, it uses an internal libixp which it builds and then links statically to  (while the ebuild also DEPENDs on sys-libs/libixp which is then not used). For another, we don't do nearly enough patching to adhere to Gentoo QA standards. I've tried cleaning up the ebuild and do more sensible patching, but I have nothing better to attach right now.
Comment 7 Samuli Suominen gentoo-dev 2010-06-07 10:32:15 UTC
+*wmii-3.9 (07 Jun 2010)
+
+  07 Jun 2010; Samuli Suominen <ssuominen@gentoo.org> +wmii-3.9.ebuild:
+  Version bump wrt #291176 by Jeroen Roovers.